package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasArcTlsStudents;
import com.koobietech.eas.mbg.model.EasArcTlsStudentsExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasArcTlsStudentsMapper {
    long countByExample(EasArcTlsStudentsExample example);

    int deleteByExample(EasArcTlsStudentsExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasArcTlsStudents record);

    int insertSelective(EasArcTlsStudents record);

    List<EasArcTlsStudents> selectByExample(EasArcTlsStudentsExample example);

    EasArcTlsStudents selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasArcTlsStudents record, @Param("example") EasArcTlsStudentsExample example);

    int updateByExample(@Param("record") EasArcTlsStudents record, @Param("example") EasArcTlsStudentsExample example);

    int updateByPrimaryKeySelective(EasArcTlsStudents record);

    int updateByPrimaryKey(EasArcTlsStudents record);
}